# $Revision: 1.77.2.1 $, $Date: 2008-03-12 11:41:01 $
# TODO:
# - move perl R libraries to standard perl location
# - script for rpm to autoprovides/autorequires R internals
#
# Conditional build:
%bcond_without	gnome	# without GNOME support
#
%include	/usr/lib/rpm/macros.perl
Summary:	A language for data analysis and graphics
Summary(pl):	Jzyk do analizy danych oraz grafiki
Name:		R
Version:	2.2.1
Release:	2
License:	Mixed (distributable), mostly GPL
Group:		Development/Languages
# CRAN master site: ftp://cran.r-project.org/pub/R/src/
Source0:	ftp://stat.ethz.ch/R-CRAN/src/base/R-2/%{name}-%{version}.tar.gz
# Source0-md5:	42542290c6d1585af7ded330f811385c
Source1:	%{name}.desktop
URL:		http://www.r-project.org/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	blas-devel
BuildRequires:	bzip2-devel
BuildRequires:	gcc-c++
BuildRequires:	gcc-g77
BuildRequires:	gettext-devel
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libpng-devel >= 1.0.5
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxml-devel
BuildRequires:	perl-base >= 1:5.6
BuildRequires:	readline-devel
BuildRequires:	rpm-perlprov
BuildRequires:	tcl-devel
BuildRequires:	tetex-latex
BuildRequires:	tetex-dvips
BuildRequires:	tetex-pdftex
BuildRequires:	tk-devel
BuildRequires:	zip
BuildRequires:	zlib >= 1.1.3
#BuildRequires:	lpr
#Requires:	lpr
%{?with_gnome:BuildRequires:	gnome-libs-devel}
%{?with_gnome:BuildRequires:	ORBit-devel}
%{?with_gnome:BuildRequires:	libglade-gnome-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A system for statistical computation and graphics. R consists of a
language plus a run-time environment with graphics, a debugger, access
to certain system functions, and the ability to run programs stored in
script files.

The design of R has been heavily influenced by two existing languages:
Becker, Chambers & Wilks' S and Sussman's Scheme. Whereas the
resulting language is very similar in appearance to S, the underlying
implementation and semantics are derived from Scheme.

%description -l pl
System do oblicze statystycznych i grafiki. R skada si z jzyka
oraz rodowiska uruchomieniowego z grafik, debuggerem, dostpem do
niektrych funkcji systemowych oraz moliwoci uruchamiania programw
zapisanych w skryptach.

Jzyk R by zainspirowany dwoma istniejcymi jzykami: S (Beckera,
Chambersa i Wilksa) oraz Scheme (Sussmana). R jest podobny do S, ale
implementacja i semantyka wywodzi si ze Scheme.

%package base
Summary:	The R base distribution
Summary(pl):	Podstawowa dystrybucja R
License:	GPL v2 / LGPL
Group:		Development/Languages
Requires(post):	textutils
Requires(post):	perl-base
Provides:	R-cran-base
Provides:	R-cran-datasets
Provides:	R-cran-grid
Provides:	R-cran-graphics
Provides:	R-cran-grDevices
Provides:	R-cran-methods
Provides:	R-cran-utils
Provides:	R-cran-tcltk
Provides:	R-cran-splines
Provides:	R-cran-stats
Provides:	R-cran-stats4
Provides:	R-cran-tools

%description base
R is a language and run-time environment for carrying out interactive
statistical data analysis. It is not entirely dissimilar to the S
language developed at AT&T Bell Laboratories (and now Lucent
Technologies). Indeed, S users will find the environment quite
familiar and a good deal of S software will run without change under
R.

%description base -l pl
R jest jzykiem i rodowiskiem uruchomieniowym do interaktywnej
analizy danych statystycznych. R nie jest cakowicie zgodny z jzykiem
S opracowanym w AT&T Bell Laboratiories (a teraz Lucent Technologies),
mimo to uytkownicy S zauwa zblione rodowisko, a dua cz
oprogramowania w S bdzie dziaaa bez zmian w R.

%package recommended
Summary:	Recommended contributed packages for the R language
Summary(pl):	Zalecane dodatkowe pakiety do jzyka R
Group:		Development/Languages
Requires:	R-cran-KernSmooth
Requires:	R-cran-VR
Requires:	R-cran-boot
Requires:	R-cran-cluster
Requires:	R-cran-foreign
Requires:	R-cran-lattice
Requires:	R-cran-mgcv
Requires:	R-cran-nlme
Requires:	R-cran-rpart
Requires:	R-cran-survival
License:	GPL, free or free for non-commercial use
URL:		http://www.ci.tuwien.ac.at/R/
Requires(post,postun):	R-base
Requires(post,postun):	perl-base
Requires(post,postun):	textutils
Obsoletes:	R-contrib
Requires:	R-base = %{version}-%{release}

%description recommended
Packages which extend the capabilities of the R base distribution and
are distributed on the Comprehensive R Archive Network (CRAN).

%description recommended -l pl
Pakiety rozszerzajce moliwoci podstawowej dystrybucji jzyka R,
dystrubuowane w archiwum CRAN (Comprehensive R Archive Network).

%prep
%setup -q

# These files have the path for Perl hard-coded as /usr/local/bin/perl
# We need to remove them to avoid dependency problems
rm -f ./doc/keyword-test.orig ./etc/undoc/R-funs.orig ./etc/undoc/extrExamp.orig

%build
%{__aclocal} -I m4
%{__autoconf}
cp -f /usr/share/automake/config.* .
%configure \
	--with%{!?with_gnome:out}-gnome \
	--enable-R-shlib \
	--enable-linux-lfs \
	--with-zlib \
	--with-bzlib \
	--with-pcre \
	--without-recommended-packages

%{__make}
%{__make} check
%{__make} docs
%{__make} help
%{__make} html
%{__make} info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_libdir}/R,%{_includedir},%{_desktopdir}}

%{__make} install \
	rhome=$RPM_BUILD_ROOT%{_libdir}/R \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

find $RPM_BUILD_ROOT%{_libdir}/R -name 'Makefile*' -exec rm -f {} \;
mv $RPM_BUILD_ROOT%{_libdir}/R/lib/libR*.so $RPM_BUILD_ROOT%{_libdir}
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/include $RPM_BUILD_ROOT%{_includedir}/R
ln -sf %{_includedir}/R $RPM_BUILD_ROOT%{_libdir}/R/include
rm $RPM_BUILD_ROOT%{_bindir}/%{name}
sed -i -e "s#$RPM_BUILD_ROOT##g" $RPM_BUILD_ROOT%{_libdir}/%{name}/bin/%{name}
ln -sf %{_libdir}/%{name}/bin/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
 R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --htmllist)
/sbin/ldconfig

%postun	-p /sbin/ldconfig

%files base
%defattr(644,root,root,755)
%doc COPYRIGHTS FAQ NEWS README RESOURCES THANKS Y2K

%{_mandir}/man1/R.1*
%attr(755,root,root) %{_bindir}/R
%dir %{_libdir}/R
%attr(755,root,root) %{_libdir}/R/bin
%attr(755,root,root) %{_libdir}/libR*.so
%{_libdir}/R/etc
%{_libdir}/R/include
%{_includedir}/R
%{_libdir}/R/share
%{_libdir}/R/AUTHORS
%dir %{_libdir}/R/library
# %{_libdir}/R/doc %except %{_libdir}/R/doc/html/{packages.html,search/index.txt}
%dir %{_libdir}/R/doc
%{_libdir}/R/doc/[KRm]*
%dir %{_libdir}/R/doc/html
%{_libdir}/R/doc/html/*.css
%{_libdir}/R/doc/html/[Ra-lr-u]*.html
%{_libdir}/R/doc/html/packages-head.html
%{_libdir}/R/doc/html/*.jpg
%dir %{_libdir}/R/doc/html/search
%{_libdir}/R/doc/html/search/[A-Z]*
%ghost %{_libdir}/R/doc/html/search/index.txt
%ghost %{_libdir}/R/doc/html/packages.html
%{_desktopdir}/*

%attr(755,root,root) %{_libdir}/%{name}/modules

%{_libdir}/%{name}/library/base
%{_libdir}/%{name}/library/datasets
%{_libdir}/%{name}/library/grid
%{_libdir}/%{name}/library/graphics
%{_libdir}/%{name}/library/grDevices
%{_libdir}/%{name}/library/methods
%{_libdir}/%{name}/library/utils
%{_libdir}/%{name}/library/tcltk
%{_libdir}/%{name}/library/splines
%{_libdir}/%{name}/library/stats
%{_libdir}/%{name}/library/stats4
%{_libdir}/%{name}/library/tools

%files recommended

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: R.spec,v $
Revision 1.77.2.1  2008-03-12 11:41:01  glen
- release 2

Revision 1.77  2005-12-22 18:41:41  undefine
- up to 2.2.1

Revision 1.76  2005/12/13 16:48:33  undefine
- up to 2.2.0

Revision 1.75  2005/09/17 10:33:56  arekm
- rebuild with readline 5.0

Revision 1.74  2005/06/20 14:23:09  undefine
- up to 2.1.1

Revision 1.73  2005/06/03 00:11:23  zbyniu
- BR: rpm-perlprov

Revision 1.72  2005/06/02 23:28:15  undefine
- generate perl(*) dependencies
- release 2

Revision 1.71  2005/04/28 00:29:43  undefine
- up to 2.1.0

Revision 1.70  2005/03/23 17:18:06  glen
- dropped SourceX-size

Revision 1.69  2004/12/10 22:52:39  ankry
- rel. 3

Revision 1.68  2004/12/10 09:31:18  ankry
- more BRs

Revision 1.67  2004/11/24 09:06:47  ankry
- typo? rel. 2

Revision 1.66  2004/11/22 00:46:16  undefine
- O: R-contrib for allow clean upgrade

Revision 1.65  2004/11/16 23:05:30  ankry
- spaces -> tabs

Revision 1.64  2004/11/16 21:09:27  undefine
- release 1

Revision 1.63  2004/11/16 18:31:37  undefine
- move to R-cran, add empty R-recommended package(i don't see better idea...),
  remove R-contrib pseudo-package(there are maaaany contrib files ;)
- ready to tests...

Revision 1.62  2004/11/16 16:51:39  undefine
- fix build

Revision 1.61  2004/11/16 16:37:15  undefine
- fix log message (no vi in chroot isn't good...)

Revision 1.60  2004/11/16 16:33:15  undefine
- add BR: gettext-devel (no vi in chroot isn't good)

Revision 1.59  2004/11/15 20:00:03  paszczus
- updated to 2.0.1

Revision 1.58  2004/10/25 11:36:57  paladine
- "HTML" and "Perl" unification

Revision 1.57  2004/10/13 17:46:43  qboosh
- new-style bcond, s/perl/perl-base/

Revision 1.56  2004/10/12 01:24:23  undefine
- up to 2.0.0
- separate not base modules to other specs(not ready yet - use R-spec.sh)
- NFY

Revision 1.55  2004/09/14 20:05:30  undefine
- more todo (move perl library to standard perl location)

Revision 1.54  2004/09/14 19:37:37  undefine
- kill yet another builddir, use %{_bindir}/R as symlink to %{_libdir}/R/bin/R
- release 4

Revision 1.53  2004/09/13 12:06:30  undefine
- better fix(?) with trigger...
- release 3

Revision 1.52  2004/09/12 23:02:20  undefine
- more specific R
- pre install script to adopt to new includes location

Revision 1.51  2004/09/12 22:17:59  undefine
- build shared library
- move libraries to proper place
- don't use mv in builddir - it break --short-circuit
- move includes to %{_includedir}, and use only link to it in R directory
- some small cleanups
- release 2

Revision 1.50  2004/08/30 11:58:06  undefine
- update to 1.9.1
- update packages
- move grid to base
- add graphics, stats, stats4, mle, utils
- add TODO

Revision 1.49  2004/05/09 05:31:53  ankry
- BR fixes, rel. 3

Revision 1.48  2003/11/20 11:47:23  cieciwa
- fixed.

Revision 1.47  2003/11/20 10:39:10  cieciwa
- removed source 25 from older version.

Revision 1.46  2003/11/20 08:29:09  cieciwa
- updated to 1.8.0,
- updated opther source file.

Revision 1.45  2003/10/21 13:57:38  qboosh
- updated URL

Revision 1.44  2003/08/26 20:31:18  ankry
- s/[Gg]nome/GNOME/

Revision 1.43  2003/08/18 08:07:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.42  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.41  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.40  2003/04/04 17:45:23  ankry
- don't call postun scripts if R is removed together with a package:
  they'll fail and are not necessary then
- rel. 2

Revision 1.39  2002/12/29 01:44:29  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.38  2002/12/04 22:13:52  ankry
- updated to 1.6.1

Revision 1.37  2002/12/04 10:51:49  roman
- added R.desktop to Scientific/Numerics applnk subdirectory
- changed Release number from 2 to 3

Revision 1.36  2002/10/09 13:14:15  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.35  2002/08/06 13:10:14  qboosh
- BR (conditionally): libglade-gnome-devel

Revision 1.34  2002/05/21 23:12:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.33  2002/05/16 10:13:47  ankry
- BR: blas-devel

Revision 1.32  2002/05/13 22:18:18  ankry
- fixed %%ghost file location (generated by post/postun scripts)
- removed a non-existent TASKS file from %doc
- STBR

Revision 1.31  2002/05/13 16:42:55  ankry
- fixed pre/post scripts

Revision 1.30  2002/05/12 23:54:39  ankry
- fix path in R
- rm -rf $RPM_BUILD_ROOT
- pre/post scripts fixed
- fix file lists; remove unnecessary attribute/ownership settings
- remove backup files
- NFY

Revision 1.29  2002/05/12 12:20:16  ankry
- fixed Provides in R-recommended; release 2

Revision 1.28  2002/05/12 12:02:13  ankry
- updated to 1.5.0

Revision 1.27  2002/05/12 10:17:06  kloczek
- regenerate config.* files and few cosmetics.

Revision 1.26  2002/05/11 23:47:02  ankry
- using autoconf in spec
- release 2
- STBR for test

Revision 1.25  2002/05/11 21:46:01  ankry
- upgraded to 1.4.1
- separated recommended modules into R-recommended package
- fixed license strings
- NFY, but builds

Revision 1.24  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 02:12:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2002/01/15 15:15:11  ankry
- ftp server changed for sources

Revision 1.21  2002/01/15 10:40:47  hunter
--upgraded to 1.4.0, NYF

Revision 1.20  2001/11/22 10:06:48  qboosh
- s/Copyright/License/ in -contrib

Revision 1.19  2001/11/01 19:44:49  ankry
- some updates to 1.3.1 build. cleaning.
- added path fix in the wrapper script.
- it builds, seems to work, but NFY

Revision 1.18  2001/11/01 00:59:51  ankry
- BuildRequires: libxml-devel
- some build fixes, NFY

Revision 1.17  2001/10/30 15:47:25  qboosh
- remaining pl translations (mlbench subpackage)

Revision 1.16  2001/10/09 21:49:15  ankry
- starting update to 1.3.1, nfy
- added BuildRequires

Revision 1.15  2001/09/25 07:20:50  ankry
changed URL to mlbench

Revision 1.14  2001/09/03 11:13:42  qboosh
- some pl translations (without mlbench subpackage)

Revision 1.13  2001/07/18 03:20:03  kloczek
- spec adapterized.

Revision 1.12  2000/09/29 10:38:59  cieciwa
- updated to version 1.1.1,
- updated existing packages,
- commented unexisted package,
- added documenmtation [.pdf] for existing package.

Revision 1.11  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.8  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).
